Framework API
*************

Main
====

These classes are the main API to the C++ Micro Services Framework:

.. toctree::
   :glob:

   /framework/doc/api/main/*

Utilities
=========

These classes support the main CppMicroServices API:

.. toctree::
   :glob:

   /framework/doc/api/util/*

Macros
======

Preprocessor macros provided by CppMicroServices.

.. toctree::

   /framework/doc/api/macros.rst
